/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __MODPARTSEL_H
#define __MODPARTSEL_H

#include <uimodpartsel.h>

#include <qptrdict.h>
#include <mntdevice.h>


class modPartSel : public UiModPartSel {
	Q_OBJECT

public:
	modPartSel(QWidget* parent = 0, const char* name = 0);
	virtual ~modPartSel();
	virtual bool exitReady();
	
public slots:
	virtual void apply();

protected:
	virtual void initModule();

private:
	virtual void insertMntDev(MntDevice * mdev, const QString & desc, QPixmap pix);
	virtual void insertSubDev(MntDevice * mdev, QListViewItem * item);
	QPtrDict<MntDevice> devices;
};

#endif /* __MODPARTSEL_H */
	
